package com.sagacloud.utils.jsonHelper.search.inforPointSearchResult;

import org.apache.htrace.fasterxml.jackson.annotation.JsonInclude;

/**
 * Created by wo on 8/22/17.
 * 对象返回结果
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class SearchResultObj {
    private String Type;

    public String getType() { return this.Type; }

    public void setType(String Type) { this.Type = Type; }

    private String Info;

    public String getInfo() { return this.Info; }

    public void setInfo(String Info) { this.Info = Info; }

    private String InfoName;

    public String getInfoName() { return this.InfoName; }

    public void setInfoName(String InfoName) { this.InfoName = InfoName; }

    private String EqObj;

    public String getEqObj() { return this.EqObj; }

    public void setEqObj(String EqObj) { this.EqObj = EqObj; }

    private String EqObjName;

    public String getEqObjName() { return this.EqObjName; }

    public void setEqObjName(String EqObjName) { this.EqObjName = EqObjName; }

    private String EqObjLocalId;

    private String Major;

    public String getMajor() { return this.Major; }

    public void setMajor(String Major) { this.Major = Major; }

    private String MajorName;

    public String getMajorName() { return this.MajorName; }

    public void setMajorName(String MajorName) { this.MajorName = MajorName; }

    private String SysObj;

    public String getSysObj() { return this.SysObj; }

    public void setSysObj(String SysObj) { this.SysObj = SysObj; }

    private String SysObjName;

    public String getSysObjName() { return this.SysObjName; }

    public void setSysObjName(String SysObjName) { this.SysObjName = SysObjName; }

    private String SysObjLocalId;

    private String BdObj;

    public String getBdObj() { return this.BdObj; }

    public void setBdObj(String BdObj) { this.BdObj = BdObj; }

    private String BdObjName;

    public String getBdObjName() { return this.BdObjName; }

    public void setBdObjName(String BdObjName) { this.BdObjName = BdObjName; }

    private String BdObjLocalId;

    private String FlObj;

    public String getFlObj() { return this.FlObj; }

    public void setFlObj(String FlObj) { this.FlObj = FlObj; }

    private String FlObjName;

    public String getFlObjName() { return this.FlObjName; }

    public void setFlObjName(String FlObjName) { this.FlObjName = FlObjName; }

    private String FlObjLocalId;

    private String SpObj;

    public String getSpObj() { return this.SpObj; }

    public void setSpObj(String SpObj) { this.SpObj = SpObj; }

    private String SpObjName;

    public String getSpObjName() { return this.SpObjName; }

    public void setSpObjName(String SpObjName) { this.SpObjName = SpObjName; }

    private String SpObjLocalId;

    private String inputMode;

    public String getInputMode() { return this.inputMode; }

    public void setInputMode(String inputMode) { this.inputMode = inputMode; }
    private String unit;

    public String getUnit() { return this.unit; }

    public void setUnit(String unit) { this.unit = unit; }

    private String dataSource;

    public String getDataSource() { return this.dataSource; }

    public void setDataSource(String dataSource) { this.dataSource = dataSource; }

    private String eq;

    private String eqName;

    public String getEq() {
        return eq;
    }

    public void setEq(String eq) {
        this.eq = eq;
    }

    public String getEqName() {
        return eqName;
    }

    public void setEqName(String eqName) {
        this.eqName = eqName;
    }

    public String getSy() {
        return sy;
    }

    public void setSy(String sy) {
        this.sy = sy;
    }

    public String getSyName() {
        return syName;
    }

    public void setSyName(String syName) {
        this.syName = syName;
    }

    private String sy;

    private String syName;

    private String shObj;

    private String shObjName;

    private String shObjLocalId;

    public String getEqObjLocalId() {
        return EqObjLocalId;
    }

    public void setEqObjLocalId(String eqObjLocalId) {
        EqObjLocalId = eqObjLocalId;
    }

    public String getSysObjLocalId() {
        return SysObjLocalId;
    }

    public void setSysObjLocalId(String sysObjLocalId) {
        SysObjLocalId = sysObjLocalId;
    }

    public String getBdObjLocalId() {
        return BdObjLocalId;
    }

    public void setBdObjLocalId(String bdObjLocalId) {
        BdObjLocalId = bdObjLocalId;
    }

    public String getFlObjLocalId() {
        return FlObjLocalId;
    }

    public void setFlObjLocalId(String flObjLocalId) {
        FlObjLocalId = flObjLocalId;
    }

    public String getSpObjLocalId() {
        return SpObjLocalId;
    }

    public void setSpObjLocalId(String spObjLocalId) {
        SpObjLocalId = spObjLocalId;
    }

    public String getShObj() {
        return shObj;
    }

    public void setShObj(String shObj) {
        this.shObj = shObj;
    }

    public String getShObjName() {
        return shObjName;
    }

    public void setShObjName(String shObjName) {
        this.shObjName = shObjName;
    }



    private String spType;

    private String spTypeName;

    public String getSpType() {
        return spType;
    }

    public void setSpType(String spType) {
        this.spType = spType;
    }

    public String getSpTypeName() {
        return spTypeName;
    }

    public void setSpTypeName(String spTypeName) {
        this.spTypeName = spTypeName;
    }

    public String getShObjLocalId() {
        return shObjLocalId;
    }

    public void setShObjLocalId(String shObjLocalId) {
        this.shObjLocalId = shObjLocalId;
    }
}
